@import "theme/common";

.wrap {
  min-height: 100vh;
  background: #fff;
  display: flex;
  flex-direction: column;
}

.header {
  line-height: 56px;
  background: $primary-color;
  color: #fff;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0 26px;
}

.header h2 {
  font-weight: 500;
  font-size: 18px;
  margin: 0 16px;
  flex-grow: 1;
}

.nameWrap {
  cursor: pointer;
}

.name {
  height: 24px;
  width: 24px;
  border-radius: 50%;
  background: #fff;
  display: inline-block;
  line-height: 24px;
  text-align: center;
  color: $primary-color;
}

.main {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  flex-grow: 1;
}

.content {
  flex-grow: 1;
  border-left: 1px solid #eee;
  margin-left: -1px;
  box-sizing: border-box;
  height: calc(100vh - #{$header-height});
  overflow-y: scroll;
}

.aside {
  background: #fff;
  box-sizing: border-box;
  padding: 19px 0;
}

.aside :global .ant-menu-submenu-title {
  padding: 0 !important;
  box-sizing: border-box;
}

.aside :global .ant-menu-item {
  box-sizing: border-box;
}

.aside :global .anticon-pushpin {
  color: #000;
  margin-left: 25px;
  transform: rotate(270deg);
}

.aside :global .ant-menu-submenu-title {
  color: #000;
}

.breadcrumbWrap {
  font-size: 12px;
  line-height: $breadcrumb-height;
  margin-bottom: $breadcrumb-margin-bottom;
}

.nonMenuWrap {
  display: flex;
  font-size: 14px;
  flex-direction: row;
  align-items: center;
  width: 240px;
  margin-top: 16px;
  font-weight: 400;
}

.nonMenuWrap span {
  margin: 0 5px;
}

.popWrap {
  min-width: 210px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}

.popInfoWrap {
  display: flex;
  flex-direction: row;
  width: 100%;
  padding-bottom: 10px;
}

.popLogoutWrap {
  color: #666;
  border-top: 1px solid #eee;
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 14px;
  padding-top: 10px;
  cursor: pointer;
}

.popLogoutWrap div {
  margin-left: 10px;
}

.popInfoIcon {
  display: inline-block;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-image: linear-gradient(45deg, #000 25%, transparent 0, transparent 75%, #000 0), linear-gradient(45deg, #000 25%, transparent 0, transparent 75%, #000 0);
  background-position: 0 0, 10px 10px;
  background-size: 20px 20px;
  margin-right: 20px;
}

.popInfoName {
  font-size: 16px;
}

.popInfoEmail {
  font-size: 12px;
  color: #999;
  font-weight: 100;
}
